import * as bingo_stratum from 'bingo-stratum';

declare const blockESLintJSONC: bingo_stratum.BlockWithoutAddons<{
    access: "public" | "restricted";
    description: string;
    directory: string;
    email: {
        github: string;
        npm: string;
    };
    title: string;
    owner: string;
    repository: string;
    author?: string | undefined;
    bin?: string | Record<string, string> | undefined;
    contributors?: {
        avatar_url: string;
        contributions: string[];
        login: string;
        name: string;
        profile: string;
    }[] | undefined;
    documentation?: string | undefined;
    emoji?: string | undefined;
    existingLabels?: {
        name: string;
        description: string;
        color: string;
    }[] | undefined;
    explainer?: string[] | undefined;
    funding?: string | undefined;
    guide?: {
        href: string;
        title: string;
    } | undefined;
    keywords?: string[] | undefined;
    logo?: {
        alt: string;
        src: string;
        height?: number | undefined;
        width?: number | undefined;
    } | undefined;
    node?: {
        minimum: string;
        pinned?: string | undefined;
    } | undefined;
    packageData?: {
        dependencies?: Record<string, string> | undefined;
        devDependencies?: Record<string, string> | undefined;
        peerDependencies?: Record<string, string> | undefined;
        peerDependenciesMeta?: Record<string, unknown> | undefined;
        scripts?: Record<string, string> | undefined;
    } | undefined;
    pnpm?: string | undefined;
    rulesetId?: string | undefined;
    usage?: string | undefined;
    version?: string | undefined;
    words?: string[] | undefined;
    workflowsVersions?: Record<string, Record<string, {
        pinned?: boolean | undefined;
        hash?: string | undefined;
    }>> | undefined;
}>;

export { blockESLintJSONC };
