async function readExplainer(getReadme) {
  const readme = await getReadme();
  const indexOfH2 = readme.indexOf("##");
  if (indexOfH2 === -1) {
    return void 0;
  }
  const lastTag = readme.slice(0, indexOfH2).lastIndexOf(">");
  return readme.slice(lastTag + 1, indexOfH2).split("\n").map((line) => line.trim()).filter(Boolean);
}
export {
  readExplainer
};
