import { base } from "../base.js";
import { blockESLint } from "./blockESLint.js";
const blockESLintComments = base.createBlock({
  about: {
    name: "ESLint Comments Plugin"
  },
  produce() {
    return {
      addons: [
        blockESLint({
          extensions: ["comments.recommended"],
          imports: [
            {
              source: "@eslint-community/eslint-plugin-eslint-comments/configs",
              specifier: "comments"
            }
          ]
        })
      ]
    };
  }
});
export {
  blockESLintComments
};
