import { inputFromFile } from "input-from-file";
async function readGuide(take) {
  const development = await take(inputFromFile, {
    filePath: ".github/DEVELOPMENT.md"
  });
  if (development instanceof Error) {
    return void 0;
  }
  const tag = /> .*guided walkthrough, see \[((?!\[).+)\]\((.+)\)/i.exec(
    development
  );
  if (!tag) {
    return void 0;
  }
  return {
    href: tag[2],
    title: tag[1]
  };
}
export {
  readGuide
};
